...

View Full Version : PHPGmailer Help



phantom007
08-06-2008, 09:34 AM
Hi

My webhost has PHP 4 installed on their server and they are NOT ready to upgrade to PHP5. Anyways, this is not the issue here.

I need to make this script (PHPgmailer (http://www.vulgarisoip.com/category/phpgmailer/)) work on PHP 4, which means without any class.


So can someone please modify this script and make it without classes?


I will be really grateful to you.

(Attached is the zip file)

Thanx in advance

NancyJ
08-06-2008, 10:56 AM
PHP 4 has classes.

phantom007
08-06-2008, 11:13 AM
Nope, it does not. Only 5 has class support

NancyJ
08-06-2008, 11:30 AM
Just because you believe it doesn't make it true. But you might try doing a little research (http://www.php.net/oop) before you make a fool of yourself.

djm0219
08-06-2008, 11:34 AM
You couldn't be more wrong I'm afraid cancer10. As NancyJ was kind enough to point out, classes have been supported in PHP, starting with version 4, for quite a long time.

kbluhm
08-06-2008, 01:58 PM
Nope, it does not. Only 5 has class support

Technically, they are just pumped-up arrays in 4, but that is beside the point. Yes, 4 has class support.



EZ Archive Ads Plugin for vBulletin Copyright 2006 Computer Help Forum